# This script is a fix of two scripts,
# the first by sicman_adrian (http://forums.mattie.info/cs/forums/viewtopic.php?p=250741&highlight=fall#250710)
# the second by jeff91 (http://forums.mattie.info/cs/forums/viewtopic.php?p=250753#250808)

# requires ES 2.0+, ES_tools 

import es

info = es.AddonInfo()
info.name     = "Anti Fall Damage"
info.version  = "1.0"
info.url      = "yet to be set"
info.basename = "falldamage"
info.author   = "DanielB"


def load():
    es.server.cmd('est_RegEventBlock player_falldamage "es_xdoblock falldamage/pre_falldamage"')
    es.msg('#multi', '#green[AntiFallDamage]#lightgreen Loaded')
def unload():
    es.server.cmd('est_UnRegEventBlock player_falldamage "es_xdoblock falldamage/pre_falldamage"')
    es.msg('#multi', '#green[AntiFallDamage]#lightgreen Unloaded')

def pre_falldamage():
    userid = returnEV('userid')
    dmg = int(returnEV('damage'))
    health = int(es.getplayerprop(userid, 'CBasePlayer.m_iHealth'))
    es.setplayerprop(userid, 'CBasePlayer.m_iHealth', health + dmg)

def returnEV(var):
    val = es.ServerVar('afd_tmp')
    val.set(0)
    es.server.cmd('est_GetEventInfo afd_tmp '+var)
    return val